Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class WriteAbortedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.io.ObjectStreamException
                              |
                              +--java.io.WriteAbortedException

All Implemented Interfaces:
  Serializable

public class WriteAbortedException
extends ObjectStreamException

Signals that one of the ObjectStreamExceptions was thrown during a write operation.

Since:
  JDK1.1
See Also:
  Serialized Form

Field Summary
`Exception` | `detail` Exception that was caught while writing the ObjectStream.

Constructor Summary
`WriteAbortedException(String s, Exception ex)` Thrown during a read operation when one of the ObjectStreamExceptions was thrown during a write operation.

Method Summary
`String` | `getMessage()` Produce the message and include the message from the nested exception, if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Exception detail

  Exception that was caught while writing the ObjectStream.

Constructor Detail

### WriteAbortedException

    public WriteAbortedException(String s,
                                 Exception ex)

  Thrown during a read operation when one of the ObjectStreamExceptions was thrown during a write operation. The exception that terminated the write can be found in the detail field. The stream is reset to it's initial state andd all references to objects already deserialized are discarded.
  Parameters:
    `s` - String describing the exception.
    `ex` - Exception causing the abort.

Method Detail

### getMessage

    public String getMessage()

  Produce the message and include the message from the nested exception, if there is one.
  Overrides:
    `getMessage` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Returns:
    the error message string of this `Throwable` object if it was `created` with an error message string; or `null` if it was `created` with no error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.